exportReport

Exports statistics for an A/B test, message, bookmarked report, or user activity in your app (as in the Analytics tab of the dashboard) over specified period of time. Report data becomes available to export every 2 hours, and only for complete sessions. You may only export report data 100 times per day per app. Exports with invalid arguments do not count towards the limit.

This method requires your data export API clientKey.

Use getExportResults with the returned jobId to get the results.

Query Params
string
required
Defaults to YOUR_APP_ID

The application ID. To find yours, select your app in the navigation column, and click Manage Apps. Then click Keys & Settings.

string
required
Defaults to YOUR_DATA_EXPORT_KEY

The Data Export key for your Leanplum App.

string
enum
required
Defaults to 1.0.6

The version of the Leanplum API to use. The current version is 1.0.6.

Allowed:
string
required

First date in range to include in PDT/PST (format: YYYYmmdd). Example: 20150708.

string
enum
required

The type of the id provided. It can be either:

  • UserActivity for general statistics about your app
  • AbTestResults for stats about an A/B test
  • MessageResults for stats about a message, or
  • BookmarkedReport for stats about a bookmarked report.

If you choose AbTestResults, MessageResults, or BookmarkedReport, you must also supply the corresponding abTestId, messageId, or bookmarkName.

Allowed:
string

Last date in range to include in PDT/PST (format: YYYYmmdd). Defaults to startDate if not provided. Example: 20150708.

number

Supply if any only if dataType is set to AbTestResults.

number

Supply if and only if the dataType is set to MessageResults.

string

Supply if and only if the dataType is set to BookmarkedReport. This is the name of the report, as it appears in your Analytics tab.

eventNames
array of strings

A JSON-encoded array containing names of the events to be included in the report. Example: ["Add to cart", "Purchase"]

eventNames
Response

Language
Credentials
URL
Response
Choose an example:
application/json